<div id="payment-seller">
  <div class="md:pa-6 pa-0" id="hideBottomInput">
    <div class="flex items-center justify-start">
      <p class="mb-0 font-medium text-neutral-500 d-none d-md-block">
        Settings
      </p>
      <v-icon class="mx-3 d-none d-md-block"> mdi-chevron-right </v-icon>
      <nuxt-link
        to="/admin/settings/payment-method"
        class="mb-0 font-medium !text-neutral-500"
      >
        Payments Methods
      </nuxt-link>
      <v-icon class="mx-3"> mdi-chevron-right </v-icon>
      <p class="mb-0 font-medium text-neutral-900">
        {{paymentDetail && paymentDetail.name}}
      </p>
    </div>
    <v-skeleton-loader
      class="mx-auto mt-10"
      width="100%"
      type="card"
      v-if="loadingStats"
    >
    </v-skeleton-loader>
    <div v-else>
      <div class="mt-7">
        <div class="md:flex items-center justify-between">
          <div class="flex items-center h-11 !max-w-3xl mb-2 md:mb-0">
            <v-icon
              color="#111827"
              @click="$router.push('/admin/settings/payment-method')"
            >
              mdi-arrow-left
            </v-icon>
            <div
              class="ml-7 bg-white rounded border border-solid border-gray-200 px-6 py-1 w-full h-full"
            >
              <div class="flex items-center h-full">
                <div
                  class="d-flex align-center h-6 w-6"
                  v-if="paymentDetail.type === 'paypal'"
                >
                  <img
                    src="~/assets/images/paypal.png"
                    alt=""
                    class="w-full h-full"
                  />
                </div>
                <div
                  class="d-flex align-center h-6 w-6"
                  v-if="paymentDetail.type === 'stripe'"
                >
                  <img
                    src="~/assets/images/stripe-payment.png"
                    alt=""
                    class="w-full h-full"
                  />
                </div>
                <p class="mb-0 ml-2 text-neutral-900">
                  {{paymentDetail && paymentDetail.name}}
                </p>
              </div>
            </div>
          </div>
          <div class="d-flex align-center justify-end ml-sm-2 text-right">
            <div
              class="bg-white rounded py-2 sm:px-3 px-2 border border-solid border-blue-500 h-11 sm:!w-36 !w-32 d-flex align-center mr-1.5 sm:mr-4"
            >
              <v-switch
                inset
                class="mt-0"
                v-model="paymentDetail.enabled"
                @change="onChangeStatus(paymentDetail)"
              >
              </v-switch>
              <p
                class="mb-0 text-blue-500 font-semibold sm:text-base text-sm"
                v-if="paymentDetail.enabled"
              >
                Active
              </p>
              <p
                class="mb-0 text-red-500 font-semibold sm:text-base text-sm"
                v-else
              >
                InActive
              </p>
            </div>
            <v-btn
              color="#3B82F6"
              class="elevation-0 px-2"
              height="44"
              @click="$router.push(`/admin/settings/payment-method/policies/${paymentDetail._id}`)"
            >
              <div class="flex items-center">
                <v-icon color="#fff" small> mdi-cog </v-icon>
                <p
                  class="mb-0 ml-1 text-sm text-white font-semibold capitalize"
                >
                  Payment Settings
                </p>
              </div>
            </v-btn>
          </div>
        </div>
      </div>
      <div class="mt-4">
        <div class="grid grid-cols-12 sm:gap-6 gap-3">
          <div
            class="col-span-6 md:col-span-4 py-3 sm:px-6 px-2 bg-white rounded"
          >
            <div class="flex sm:items-center items-start">
              <div class="bg-emerald-50 rounded pa-2">
                <v-icon color="#13C296"> mdi-home-analytics </v-icon>
              </div>
              <div class="ml-2">
                <p
                  class="mb-0 font-medium text-neutral-900 leading-5 sm:text-base text-sm"
                >
                  Order Used
                </p>
                <p class="mb-0 text-xs text-neutral-900 leading-5 sm:text-sm">
                  All-time
                </p>
              </div>
            </div>
            <div class="mt-5 d-flex justify-sm-start justify-end">
              <p class="mb-0 sm:text-2xl text-lg text-gray-900">
                {{stats.order && $utils.formatCurrencyFloat(stats.order)}}
              </p>
              <!-- <p class="mb-1 mx-1 text-sm text-medium text-green-500">
            0.43%
          </p>
          <v-icon color="#45CB85" class="mb-1">
            mdi-arrow-up
          </v-icon> -->
            </div>
          </div>
          <div
            class="col-span-6 md:col-span-4 py-3 sm:px-6 px-2 bg-white rounded"
          >
            <div class="flex sm:items-center items-start">
              <div class="bg-blue-50 rounded pa-2">
                <v-icon color="#3B82F6"> mdi-shopping-outline </v-icon>
              </div>
              <div class="ml-2">
                <p
                  class="mb-0 font-medium text-neutral-900 leading-5 sm:text-base text-sm"
                >
                  Amount Received
                </p>
                <p class="mb-0 text-xs text-neutral-900 leading-5 sm:text-sm">
                  All-time
                </p>
              </div>
            </div>
            <div class="mt-5 d-flex justify-sm-start justify-end">
              <p class="mb-0 sm:text-2xl text-lg text-gray-900">
                ${{stats.amount && $utils.formatCurrencyFloat(stats.amount)}}
              </p>
              <!-- <p class="mb-1 mx-1 text-sm text-medium text-green-500">
            0.43%
          </p>
          <v-icon color="#45CB85" class="mb-1">
            mdi-arrow-up
          </v-icon> -->
            </div>
          </div>
          <div
            class="col-span-6 md:col-span-4 py-3 sm:px-6 px-2 bg-white rounded"
          >
            <div class="flex sm:items-center items-start">
              <div class="bg-blue-50 rounded pa-2">
                <v-icon color="#3056D3"> mdi-account-group </v-icon>
              </div>
              <div class="ml-2">
                <p
                  class="mb-0 font-medium text-neutral-900 leading-5 sm:text-base text-sm"
                >
                  Applied Sellers
                </p>
                <p class="mb-0 text-xs text-neutral-900 leading-5 sm:text-sm">
                  All-time
                </p>
              </div>
            </div>
            <div class="mt-5 d-flex justify-sm-start justify-end">
              <p class="mb-0 sm:text-2xl text-lg text-gray-900">
                {{total && $utils.formatCurrencyFloat(total)}}
              </p>
              <!-- <p class="mb-1 mx-1 text-sm text-medium text-red-500">
            0.43%
          </p>
          <v-icon color="#EF4444" class="mb-1">
            mdi-arrow-down
          </v-icon> -->
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="mt-6 mb-2 flex flex-wrap items-center justify-between">
      <p class="mb-0 font-semibold text-neutral-900 leading-6">
        List of Sellers Applied Payment Method
      </p>
      <v-btn
        color="#3B82F6"
        height="44"
        class="elevation-0 my-3 my-md-0"
        @click="openDialogAddSeller()"
      >
        <div class="flex items-center">
          <v-icon color="#fff" small> mdi-account-plus </v-icon>
          <p class="mb-0 ml-2 text-sm font-semibold text-white capitalize">
            Add Seller
          </p>
        </div>
      </v-btn>
    </div>
    <div>
      <v-card class="ui-card pb-4">
        <v-skeleton-loader
          class="mx-auto mt-10"
          width="100%"
          type="card"
          v-if="loadingTable"
        >
        </v-skeleton-loader>
        <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
          <template v-slot:default>
            <thead>
              <tr>
                <th class="table-head" style="width: 800px">
                  <div class="d-flex align-center">
                    <p class="mb-0 captionOverline colorGreyHeaderTable">
                      Seller
                    </p>
                  </div>
                </th>
                <!-- <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline colorGreyHeaderTable">
                      Amount
                    </p>
                  </div>
                </th> -->
                <th class="table-head text-left">
                  <div style="width: 200px">
                    <p class="mb-0 captionOverline colorGreyHeaderTable">
                      Active Date
                    </p>
                  </div>
                </th>
                <th class="table-head text-left">
                  <div>
                    <p class="mb-0 captionOverline colorGreyHeaderTable"></p>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(seller,i) in listAdminSeller" :key="i">
                <td class="py-3">
                  <p class="mb-0 text-gray-900 text-sm">
                    {{seller.sellerId && seller.sellerId.name}}
                  </p>
                  <p class="mb-0 text-gray-400 text-sm">
                    {{seller.sellerId && seller.sellerId.email}}
                  </p>
                </td>
                <!-- <td class="py-3">
                  <p class="mb-0 text-gray-900 text-sm">
                    ${{seller.amount && $utils.formatCurrencyFloat(seller.amount)}}
                  </p>
                </td> -->
                <td class="py-3">
                  <p class="mb-0 text-gray-500 text-sm">
                    {{seller.createdAt &&
                    $utils.formatDateCreatedAt(seller.createdAt)}}
                  </p>
                </td>
                <td class="py-3">
                  <v-btn
                    outlined
                    color="#EF4444"
                    @click="openDialogDeleteSeller(seller._id)"
                  >
                    <p class="mb-0 capitalize text-sm font-medium text-red-500">
                      Remove
                    </p>
                  </v-btn>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
        <div
          class="d-flex justify-center ma-4"
          v-if="listAdminSeller.length == 0 && !loadingTable"
        >
          <div>
            <div class="d-flex align-center justify-center">
              <img
                src="~/assets/images/payment/no-seller.png"
                alt=""
                width="136"
                height="136"
              />
            </div>
            <p
              class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold"
            >
              No Seller Applied
            </p>
            <p class="mb-0 text-xs text-gray-500 text-center">
              Add Sellers who can use this payment method
            </p>
          </div>
        </div>
        <div
          class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
          v-if="listAdminSeller.length && !loadingTable"
        >
          <v-pagination
            v-model="config.page"
            :length="totalPage"
            :total-visible="5"
            class="pagination"
          >
          </v-pagination>
          <div
            id="hideBottomInput"
            class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
          >
            <v-text-field
              dense
              outlined
              v-model.number="page"
              placeholder="Go to page"
            >
            </v-text-field>
            <div class="button-inside-input">
              <v-btn
                height="36px"
                color="#076CE3"
                class="px-0 button-inside-input__button elevation-0"
                @click="onRedirectPage()"
              >
                <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
              </v-btn>
            </div>
          </div>
        </div>
      </v-card>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogAddSeller" :persistent="loading" max-width="640">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">Add Sellers</p>
            <span class="text-sm text-gray-900">
              Adding Seller who could be allowed to use this payment
            </span>
          </div>
          <v-btn icon small @click="closeDialogAddSeller()">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <v-text-field
            prepend-inner-icon="mdi-magnify"
            dense
            outlined
            placeholder="Search by name"
            class="w-full"
            v-model="configSeller.search"
            @keyup.enter="onGetListSeller()"
            v-debounce:1500ms="onGetListSeller"
          >
          </v-text-field>
        </div>
        <div class="h-5 my-2">
          <p
            class="mx-6 text-sm font-semibold text-blue-500"
            v-if="listSellerIds.length"
          >
            {{listSellerIds.length}} user (s) selected
          </p>
        </div>
        <div class="mx-6 border border-solid border-gray-200">
          <v-skeleton-loader
            class="mx-auto mt-10"
            width="100%"
            type="card"
            v-if="loadingListSeller"
          >
          </v-skeleton-loader>
          <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
            <template v-slot:default>
              <thead></thead>
              <tbody>
                <tr v-for="(seller,i) in listSeller" :key="i">
                  <td class="py-3">
                    <v-checkbox
                      v-model="listSellerIds"
                      :value="seller._id"
                      class="mt-0"
                    >
                    </v-checkbox>
                  </td>
                  <td class="py-3">
                    <p class="mb-0 text-gray-900 text-sm">{{seller.name}}</p>
                    <p class="mb-0 text-gray-400 text-sm">{{seller.email}}</p>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div
            class="d-flex justify-center ma-4"
            v-if="listSeller.length == 0 && !loadingListSeller"
          >
            <div>
              <div class="d-flex align-center justify-center">
                <img
                  src="~/assets/images/payment/no-seller.png"
                  alt=""
                  width="136"
                  height="136"
                />
              </div>
              <p
                class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold"
              >
                No Seller Applied
              </p>
              <p class="mb-0 text-xs text-gray-500 text-center">
                Add Sellers who can use this payment method
              </p>
            </div>
          </div>
          <div
            class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
            v-if="listSeller.length && !loadingListSeller"
          >
            <v-pagination
              v-model="configSeller.page"
              :length="totalPageSeller"
              :total-visible="5"
              class="pagination"
            >
            </v-pagination>
          </div>
        </div>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn
            color="#E5E7EB"
            outlined
            class="elevation-0 mr-3"
            height="44"
            @click="closeDialogAddSeller()"
            :disabled="loading"
          >
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Back
            </p>
          </v-btn>
          <v-btn
            color="#3B82F6"
            class="elevation-0"
            height="44"
            @click="onAddSeller()"
            :disabled="loading"
          >
            <v-progress-circular
              indeterminate
              color="#fff"
              v-if="loading"
              size="22"
            >
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              Add Seller
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog
      v-model="dialogRemoveSeller"
      :persistent="loading"
      max-width="360"
    >
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Remove this Sellers
            </p>
          </div>
          <v-btn icon small @click="closeDialogDeleteSeller()">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <p class="my-4 text-sm text-neutral-900 mx-3">
          Seller will no longer access to this payment method. Are you sure to
          continue?
        </p>
        <v-divider></v-divider>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn
            color="#E5E7EB"
            outlined
            class="elevation-0 mr-3"
            height="44"
            @click="closeDialogDeleteSeller()"
            :disabled="loading"
          >
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#EF4444"
            class="elevation-0"
            height="44"
            @click="onDeleteSeller()"
            :disabled="loading"
          >
            <v-progress-circular
              indeterminate
              color="#fff"
              v-if="loading"
              size="22"
            >
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              Remove
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
